import * as React from "react";
import { ButtonProps } from "./Button";
export interface IconButtonProps extends Partial<ButtonProps> {
    /** A label required for accessibility  */
    label: string;
    /** The name of the icon you wish to render */
    icon?: React.ReactNode;
    /** Change the colour */
    color?: string;
    children?: React.ReactNode;
}
/**
 * A component which composes Button and Icon to provide
 * interactive icon elements.
 */
export declare const IconButton: React.FunctionComponent<IconButtonProps>;
/**
 * 旧版本 可传递 ref
 * //无法自动推断onPress(e:)类型 Parameter 'e' implicitly has an 'any' type ; onPress:(e: any)=>{e!.};
 * 必须加上:  : RReact.FunctionComponent<IconButtonProps> =  定义体才行啊。
 */
export declare const IconRefButton: React.FunctionComponent<IconButtonProps>;
interface CloseButtonProps extends Partial<ButtonProps> {
    /** An optional label for the close button */
    label?: string;
    /** Change the colour */
    color?: string;
}
export declare const CloseButton: React.FunctionComponent<CloseButtonProps>;
export {};
