/** @jsxImportSource @emotion/react */
import * as React from "react";
import { OnPressFunction } from "./Hooks/touchable-hook";
type ChildrenType = React.ReactElement<MenuItemProps>;
export interface MenuListProps extends React.HTMLAttributes<HTMLDivElement> {
    /** A combination of MenuItem, MenuLabel, and MenuDivider children */
    children: ChildrenType | ChildrenType[];
    /** Useful if you are providing your own MenuItem children */
    focusableChildren?: React.ComponentType<any>[];
}
export declare const MenuList: React.FunctionComponent<MenuListProps>;
interface MenuItemProps extends React.HTMLAttributes<Element> {
    /** Called when the menu item is selected. Generally use this instead of onClick. */
    onPress?: OnPressFunction;
    onClick?: (e: React.MouseEvent<HTMLElement>) => void;
    /** Disable this menu item */
    disabled?: boolean;
    /** Pass in a string to use standard text styles. Otherwise, pass in any other node. */
    children: React.ReactNode;
    /** Provide a custom component. Eg., ReactRouter Link */
    component?: React.ElementType<any>;
    /** optional content to appear to the right of the menu text */
    contentAfter?: React.ReactNode;
    /** optional content to appear to the left of the menu text */
    contentBefore?: React.ReactNode;
    [key: string]: any;
}
export declare const MenuItem: React.FunctionComponent<MenuItemProps>;
type MenuDividerProps = React.HTMLAttributes<HTMLDivElement>;
export declare function MenuDivider(props: MenuDividerProps): import("@emotion/react/jsx-runtime").JSX.Element;
interface MenuLabelProps extends React.HTMLAttributes<HTMLDivElement> {
    /** The name of the label */
    children?: React.ReactNode;
}
export declare const MenuLabel: React.FunctionComponent<MenuLabelProps>;
/**将来准备恢复成 MenuItem ？参数不兼容onClick onPress;
 * 非touch事件版,onClick()时间;  DdMenu适用的。
 * */
export declare const Menu2Item: React.ForwardRefExoticComponent<Pick<MenuItemProps, keyof MenuItemProps> & React.RefAttributes<HTMLButtonElement>>;
export {};
