import * as React from "react";
import { ButtonProps } from "./Button";
import { IconButtonProps } from "./IconButton";
import { Placements } from "./Positions";
interface PopoverProps {
    /** Whether the popover is currently open */
    isOpen?: boolean;
    /** The trigger of the popover */
    children: React.ReactElement<ButtonProps | IconButtonProps>;
    /** the content of the popover */
    content: React.ReactNode;
    /** Whether the menu should close when clicked */
    closeOnMenuItemClick?: boolean;
    /**
     * The default placement of the popover. This will change if
     * the popover cannot properly display in the default position.
     */
    placement?: Placements;
}
/**
 弹出式，像个对话框的，用作菜单列表等。
 Popover唯一儿子组件 按钮 必须能够接受 ref注入的。
 缺憾！Popover区域外面的点击，不一定一定触发已经弹出Popover关闭。
 必须点击 html> body > 的区域内才行 没有DOM无法触发。
 */
export declare const Popover: React.FunctionComponent<PopoverProps>;
/**
 * Display popover contents in a bottom sheet if
 * on mobile devices. I generally find that this provides a
 * better use experience on smaller screens. 手机电脑自适应的版本。
 * ResponsivePopover底下按钮需要传递ref; 否则定位不能跟随按钮， 用IconRefButton代替普通IconButton
 */
export declare const ResponsivePopover: React.FunctionComponent<PopoverProps>;
export {};
