/** @jsxImportSource @emotion/react */
import React from 'react';
import { ReferenceChildrenProps } from "react-popper";
export declare const arrowStyles: (color: string) => import("@emotion/utils").SerializedStyles;
export type Placements = "auto-start" | "auto" | "auto-end" | "top-start" | "top" | "top-end" | "right-start" | "right" | "right-end" | "bottom-end" | "bottom" | "bottom-start" | "left-end" | "left" | "left-start";
interface PositionsProps {
    /**有没有生效的：
     * Whether the item being positioned is visible
     * */
    isOpen?: boolean;
    /**自动安排的： The placement of children */
    placement?: Placements;
    /** 依附于哪个点[被关注的按钮]的：
     * The element our positioner is targetting (eg, Button)
     * */
    target: (props: ReferenceChildrenProps) => React.ReactNode;
    /** The render callback which contains positioning and animation info */
    children: React.ReactNode;
    /**
     * 区分Tooltip 和 Popover两种要求样式;
    * */
    isTip?: boolean;
    /**背景颜色
     * */
    bgColor?: string;
}
/** 原来是在Tooltip 和 Popover两个使用到了。
* */
export declare const Positioner: React.FunctionComponent<PositionsProps>;
export {};
