import * as React from "react";
import { Position } from "react-toastnotes";
import { AlertIntentions } from "./Alert";
import { Theme } from "./Theme";
interface RenderArgs {
    id: string;
    onClose: () => void;
}
interface Toast {
    position?: keyof typeof Position;
    duration?: number | null;
    title?: string;
    subtitle?: string;
    theme?: Theme;
    intent?: AlertIntentions;
    render?: (options: RenderArgs) => React.ReactNode;
}
/**
 * We export toast as a hook because it allows us to consume
 * the current theme context that it's in and pass that
 * onto our render function
 报错来源： ReactDOM.render is no longer supported in React 18. Use createRoot instead. Until you switch to the new API, your app will behave as if it's running React 17.
# "react-toastnotes"包 ？竟然被我遗忘了。
 */
export declare function useToast(): ({ position, duration, render, title, subtitle, intent }: Toast) => any;
export {};
